
<template>
    <!-- eslint-disable -->
    <LayoutComponent title="Administrador">

        <router-view></router-view>


        

        <template v-slot:iconbar>
            <v-app-bar-nav-icon @click="drawer = true"></v-app-bar-nav-icon>
        </template>

        <template v-slot:navigation>
            <v-app-bar-nav-icon @click="drawer = true"></v-app-bar-nav-icon>

            <v-navigation-drawer
                v-model="drawer"
                absolute
                temporary
                >
                    <v-list
                        nav
                        dense
                    >
                        <v-list-item-group
                            v-model="groupis"
                            active-class="deep-purple--text text--accent-4"
                        >
                            <v-list-item
                                @click="router.replace({name: 'admin'}), groupis=0"
                                :disabled="router.currentRoute.name == 'admin'"
                            >
                                <v-list-item-icon>
                                    <v-icon>mdi-home</v-icon>
                                </v-list-item-icon>
                                <v-list-item-title>Guías</v-list-item-title>
                            </v-list-item>

                            <v-list-item
                                @click="router.replace({name: 'users'}), groupis=1"
                                :disabled="router.currentRoute.name == 'users'"
                            >
                                <v-list-item-icon>
                                <v-icon>mdi-account</v-icon>
                                </v-list-item-icon>
                                <v-list-item-title>Usuarios</v-list-item-title>
                            </v-list-item>
                        </v-list-item-group>
                    </v-list>
                </v-navigation-drawer>
        </template>

        <template v-slot:actions>
            <v-btn
                @click="groupis=0, router.replace({name: 'admin'})"
                :disabled="(router.currentRoute.name != 'pickups') && (router.currentRoute.name != 'users') "
            >
                <v-icon>mdi-arrow-left-bold</v-icon>
            </v-btn>
            <v-btn
                @click="groupis=1, router.replace({name: 'users'})"
                :disabled="router.currentRoute.name != 'admin'"
            >
                <v-icon>mdi-arrow-right-bold</v-icon>
            </v-btn>

        </template>

    </LayoutComponent>
</template>

<script setup>
    import { ref } from 'vue';
    import LayoutComponent from '@/components/LayoutComponent.vue';
    import router from '@/router';

    const props = defineProps(['group'])

    const drawer = ref(false)
    const groupis = ref(0)
</script>
<style>

</style>